import { UmbRelationTypeCollectionServerDataSource } from './relation-type-collection.server.data-source.js';
import { UmbRepositoryBase } from '../../../../core/repository/index.js';
export class UmbRelationTypeCollectionRepository extends UmbRepositoryBase {
    #collectionSource;
    constructor(host) {
        super(host);
        this.#collectionSource = new UmbRelationTypeCollectionServerDataSource(host);
    }
    async requestCollection(filter) {
        return this.#collectionSource.getCollection(filter);
    }
}
export default UmbRelationTypeCollectionRepository;
